Skip to main content
GET
/
api
/
public
/
v1
/
assets
/
{canonical}
Get API public v1 assets by canonical
curl --request GET \
  --url https://api.coinversa.ai/api/public/v1/assets/{canonical} \
  --header 'X-API-Key: <api-key>'
{
  "asset": {
    "canonical": "<string>",
    "crossMarket": true,
    "synonyms": [
      "<string>"
    ],
    "totalOpenInterest": 123,
    "totalPositions": 123,
    "totalVolume24h": 123,
    "venueCount": 123,
    "venues": [
      {
        "collateral": "<string>",
        "dex": "<string>",
        "isSynonym": true,
        "symbol": "<string>",
        "ticker": "<string>",
        "fundingRate": 123,
        "markPx": 123,
        "openInterest": 123,
        "positions": 123,
        "volume24h": 123
      }
    ]
  },
  "query": "<string>",
  "resolvedCanonical": "<string>",
  "$schema": "<string>"
}

Documentation Index

Fetch the complete documentation index at: https://docs.coinversa.ai/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

X-API-Key
string
header
required

Path Parameters

canonical
string
required

Response

OK

asset
object
required
query
string
required
resolvedCanonical
string
required
$schema
string<uri>
read-only

A URL to the JSON Schema for this object.

Example:

"https://example.com/schemas/GetAssetBody.json"